Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/configuration/config-min.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/configuration/config-min.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/configuration/config-min.gen	(revision 145)
@@ -0,0 +1,31 @@
+Core_Glue
+1	1	+1	# nb_front_end                                                                                     
+1	1	+1	# nb_context                            [0]                  [nb_front_end]
+1	1	+1	# nb_ooo_engine                                                                                            
+1	1	+1	# nb_execute_loop                                                                                          
+1	1	+1	# ooo_engine_nb_front_end               [0]                  [nb_ooo_engine]
+1	1	+1	# ooo_engine_nb_execute_loop            [0]                  [nb_ooo_engine]
+1	1	+1	# execute_loop_nb_ooo_engine            [0]                  [nb_execute_loop]
+1	1	+1	# nb_inst_decod                         [0]                  [nb_front_end]   
+1	1	+1	# front_end_nb_inst_branch_complete     [0]                  [nb_front_end]   
+1	1	+1	# ooo_engine_nb_inst_branch_complete    [0]                  [nb_ooo_engine]
+1	1	+1	# nb_inst_insert                        [0]                  [nb_ooo_engine]  
+1	1	+1	# nb_inst_reexecute                     [0]                  [nb_ooo_engine]  
+1	1	+1	# nb_inst_issue                         [0]                  [nb_ooo_engine]  
+1	1	+1	# nb_inst_execute                       [0][0]               [nb_ooo_engine][ooo_engine_nb_execute_loop]
+1	1	+1	# nb_read_unit                          [0]                  [nb_execute_loop]
+1	1	+1	# nb_write_unit                         [0]                  [nb_execute_loop]
+1	1	+1	# size_depth                                                                                       
+1	1	+1	# size_rob_ptr                                                                                     
+1	1	+1	# size_load_queue_ptr                                                                              
+2	2	+1	# size_store_queue_ptr                                                                             
+32	32	+1	# size_general_data                                                                                
+2	2	+1	# size_special_data                                                                                
+6	6	+1	# size_general_register                                                                            
+2	2	+1	# size_special_register                                                                            
+1	1	+1	# dispatch_priority                                                                                
+1	1	+1	# dispatch_load_balancing                                                                          
+1	1	+1	# table_dispatch                        [0][0][0][0]         [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit]
+0	0	+1	# translate_ooo_engine_num_front_end    [0][0]               [nb_ooo_engine][ooo_engine_nb_front_end]
+0	0	+1	# translate_ooo_engine_num_execute_loop [0][0]               [nb_ooo_engine][ooo_engine_nb_execute_loop]
+0	0	+1	# translate_execute_loop_num_ooo_engine [0][0]               [nb_execute_loop][execute_loop_nb_ooo_engine]
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/configuration/config_min.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/configuration/config_min.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/configuration/config_min.gen	(revision 145)
@@ -0,0 +1,12 @@
+Dcache_Access
+1	1	+1	# nb_execute_loop        
+1	1	+1	# nb_load_store_unit [0]       [nb_execute_loop]
+1	1	+1	# nb_cache_access    [0][0]    [nb_execute_loop][nb_load_store_unit]
+1	1	+1	# nb_dcache_port         
+32	32	+1	# size_address           
+32	32	+1	# size_data              
+0	0	+1	# size_thread_id     [0][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [0][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# table_routing      [0][0][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+0	1	+1	# priority               
+0	1	+1	# load_balancing         
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/configuration/config_mono_execute_loop1.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/configuration/config_mono_execute_loop1.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/configuration/config_mono_execute_loop1.gen	(revision 145)
@@ -0,0 +1,24 @@
+Dcache_Access
+1	1	+1	# nb_execute_loop        
+4	4	+1	# nb_load_store_unit [0]       [nb_execute_loop]
+1	1	+1	# nb_cache_access    [0][0]    [nb_execute_loop][nb_load_store_unit]
+1	1	+1	# nb_cache_access    [0][1]    [nb_execute_loop][nb_load_store_unit]
+1	1	+1	# nb_cache_access    [0][2]    [nb_execute_loop][nb_load_store_unit]
+1	1	+1	# nb_cache_access    [0][3]    [nb_execute_loop][nb_load_store_unit]
+1	1	+1	# nb_dcache_port         
+32	32	+1	# size_address           
+32	32	+1	# size_data              
+0	0	+1	# size_thread_id     [0][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [0][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [0][2]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [0][3]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [0][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [0][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [0][2]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [0][3]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# table_routing      [0][0][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+0	0	+1	# table_routing      [0][1][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+0	0	+1	# table_routing      [0][2][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+0	0	+1	# table_routing      [0][3][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+0	1	+1	# priority               
+0	1	+1	# load_balancing         
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/configuration/config_mono_execute_loop2.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/configuration/config_mono_execute_loop2.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/configuration/config_mono_execute_loop2.gen	(revision 145)
@@ -0,0 +1,27 @@
+Dcache_Access
+1	1	+1	# nb_execute_loop        
+4	4	+1	# nb_load_store_unit [0]       [nb_execute_loop]
+1	1	+1	# nb_cache_access    [0][0]    [nb_execute_loop][nb_load_store_unit]
+2	2	+1	# nb_cache_access    [0][1]    [nb_execute_loop][nb_load_store_unit]
+3	3	+1	# nb_cache_access    [0][2]    [nb_execute_loop][nb_load_store_unit]
+1	1	+1	# nb_cache_access    [0][3]    [nb_execute_loop][nb_load_store_unit]
+4	4	+1	# nb_dcache_port         
+32	32	+1	# size_address           
+32	32	+1	# size_data              
+0	0	+1	# size_thread_id     [0][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [0][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [0][2]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [0][3]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [0][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [0][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [0][2]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [0][3]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# table_routing      [0][0][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+1	1	+1	# table_routing      [0][1][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+2	2	+1	# table_routing      [0][1][1] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+2	2	+1	# table_routing      [0][2][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+1	1	+1	# table_routing      [0][2][1] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+0	0	+1	# table_routing      [0][2][2] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+3	3	+1	# table_routing      [0][3][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+0	1	+1	# priority               
+0	1	+1	# load_balancing         
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/configuration/config_multi_execute_loop1.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/configuration/config_multi_execute_loop1.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/configuration/config_multi_execute_loop1.gen	(revision 145)
@@ -0,0 +1,40 @@
+Dcache_Access
+3	3	+1	# nb_execute_loop        
+1	1	+1	# nb_load_store_unit [0]       [nb_execute_loop]
+2	2	+1	# nb_load_store_unit [1]       [nb_execute_loop]
+3	3	+1	# nb_load_store_unit [2]       [nb_execute_loop]
+1	1	+1	# nb_cache_access    [0][0]    [nb_execute_loop][nb_load_store_unit]
+2	2	+1	# nb_cache_access    [1][0]    [nb_execute_loop][nb_load_store_unit]
+1	1	+1	# nb_cache_access    [1][1]    [nb_execute_loop][nb_load_store_unit]
+3	3	+1	# nb_cache_access    [2][0]    [nb_execute_loop][nb_load_store_unit]
+1	1	+1	# nb_cache_access    [2][1]    [nb_execute_loop][nb_load_store_unit]
+4	4	+1	# nb_cache_access    [2][2]    [nb_execute_loop][nb_load_store_unit]
+4	4	+1	# nb_dcache_port         
+32	32	+1	# size_address           
+32	32	+1	# size_data              
+0	0	+1	# size_thread_id     [0][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [1][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [1][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [2][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [2][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [2][2]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [0][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [1][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [1][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [2][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [2][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [2][2]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# table_routing      [0][0][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+1	1	+1	# table_routing      [1][0][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+1	1	+1	# table_routing      [1][0][1] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+2	2	+1	# table_routing      [1][1][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+3	3	+1	# table_routing      [2][0][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+3	3	+1	# table_routing      [2][0][1] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+3	3	+1	# table_routing      [2][0][2] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+0	0	+1	# table_routing      [2][1][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+1	1	+1	# table_routing      [2][2][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+1	1	+1	# table_routing      [2][2][1] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+3	3	+1	# table_routing      [2][2][2] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+1	1	+1	# table_routing      [2][2][3] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+0	1	+1	# priority               
+0	1	+1	# load_balancing         
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/configuration/config_multi_execute_loop2.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/configuration/config_multi_execute_loop2.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/configuration/config_multi_execute_loop2.gen	(revision 145)
@@ -0,0 +1,40 @@
+Dcache_Access
+3	3	+1	# nb_execute_loop        
+1	1	+1	# nb_load_store_unit [0]       [nb_execute_loop]
+2	2	+1	# nb_load_store_unit [1]       [nb_execute_loop]
+3	3	+1	# nb_load_store_unit [2]       [nb_execute_loop]
+1	1	+1	# nb_cache_access    [0][0]    [nb_execute_loop][nb_load_store_unit]
+2	2	+1	# nb_cache_access    [1][0]    [nb_execute_loop][nb_load_store_unit]
+1	1	+1	# nb_cache_access    [1][1]    [nb_execute_loop][nb_load_store_unit]
+3	3	+1	# nb_cache_access    [2][0]    [nb_execute_loop][nb_load_store_unit]
+1	1	+1	# nb_cache_access    [2][1]    [nb_execute_loop][nb_load_store_unit]
+4	4	+1	# nb_cache_access    [2][2]    [nb_execute_loop][nb_load_store_unit]
+8	8	+1	# nb_dcache_port         
+32	32	+1	# size_address           
+32	32	+1	# size_data              
+0	0	+1	# size_thread_id     [0][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [1][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [1][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [2][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [2][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [2][2]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [0][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [1][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [1][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [2][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [2][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [2][2]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# table_routing      [0][0][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+1	1	+1	# table_routing      [1][0][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+2	2	+1	# table_routing      [1][0][1] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+3	3	+1	# table_routing      [1][1][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+4	4	+1	# table_routing      [2][0][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+5	5	+1	# table_routing      [2][0][1] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+6	6	+1	# table_routing      [2][0][2] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+7	7	+1	# table_routing      [2][1][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+0	0	+1	# table_routing      [2][2][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+1	1	+1	# table_routing      [2][2][1] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+2	2	+1	# table_routing      [2][2][2] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+3	3	+1	# table_routing      [2][2][3] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+0	1	+1	# priority               
+0	1	+1	# load_balancing         
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/SelfTest/configuration/config_min.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/SelfTest/configuration/config_min.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/SelfTest/configuration/config_min.gen	(revision 145)
@@ -0,0 +1,10 @@
+Icache_Access
+1	1	+1	# nb_front_end       
+1	1	+1	# nb_context     [0]    [nb_front_end]
+1	1	+1	# nb_icache_port
+30	30	+1	# size_address   
+1	1	+1	# nb_instruction [0][0] [nb_front_end][nb_context]
+0	0	+1	# size_packet_id [0][0] [nb_front_end][nb_context]
+0	0	+1	# table_routing  [0][0] [nb_front_end][nb_context]
+0	1	+1	# priority           
+0	1	+1	# load_balancing     
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/SelfTest/configuration/config_mono_front_end1.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/SelfTest/configuration/config_mono_front_end1.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/SelfTest/configuration/config_mono_front_end1.gen	(revision 145)
@@ -0,0 +1,19 @@
+Icache_Access
+1	1	+1	# nb_front_end       
+4	4	+1	# nb_context     [0]    [nb_front_end]
+1	1	+1	# nb_icache_port
+30	30	+1	# size_address   
+1	1	+1	# nb_instruction [0][0] [nb_front_end][nb_context]
+2	2	+1	# nb_instruction [0][1] [nb_front_end][nb_context]
+4	4	+1	# nb_instruction [0][2] [nb_front_end][nb_context]
+8	8	+1	# nb_instruction [0][3] [nb_front_end][nb_context]
+2	2	+1	# size_packet_id [0][0] [nb_front_end][nb_context]
+3	3	+1	# size_packet_id [0][1] [nb_front_end][nb_context]
+0	0	+1	# size_packet_id [0][2] [nb_front_end][nb_context]
+1	1	+1	# size_packet_id [0][3] [nb_front_end][nb_context]
+0	0	+1	# table_routing  [0][0] [nb_front_end][nb_context]
+0	0	+1	# table_routing  [0][1] [nb_front_end][nb_context]
+0	0	+1	# table_routing  [0][2] [nb_front_end][nb_context]
+0	0	+1	# table_routing  [0][3] [nb_front_end][nb_context]
+0	1	+1	# priority           
+0	1	+1	# load_balancing     
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/SelfTest/configuration/config_mono_front_end2.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/SelfTest/configuration/config_mono_front_end2.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/SelfTest/configuration/config_mono_front_end2.gen	(revision 145)
@@ -0,0 +1,19 @@
+Icache_Access
+1	1	+1	# nb_front_end       
+4	4	+1	# nb_context     [0]    [nb_front_end]
+2	2	+1	# nb_icache_port
+30	30	+1	# size_address   
+1	1	+1	# nb_instruction [0][0] [nb_front_end][nb_context]
+2	2	+1	# nb_instruction [0][1] [nb_front_end][nb_context]
+4	4	+1	# nb_instruction [0][2] [nb_front_end][nb_context]
+8	8	+1	# nb_instruction [0][3] [nb_front_end][nb_context]
+2	2	+1	# size_packet_id [0][0] [nb_front_end][nb_context]
+3	3	+1	# size_packet_id [0][1] [nb_front_end][nb_context]
+0	0	+1	# size_packet_id [0][2] [nb_front_end][nb_context]
+1	1	+1	# size_packet_id [0][3] [nb_front_end][nb_context]
+0	0	+1	# table_routing  [0][0] [nb_front_end][nb_context]
+1	1	+1	# table_routing  [0][1] [nb_front_end][nb_context]
+1	1	+1	# table_routing  [0][2] [nb_front_end][nb_context]
+0	0	+1	# table_routing  [0][3] [nb_front_end][nb_context]
+0	1	+1	# priority           
+0	1	+1	# load_balancing     
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/SelfTest/configuration/config_multi_front_end1.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/SelfTest/configuration/config_multi_front_end1.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/SelfTest/configuration/config_multi_front_end1.gen	(revision 145)
@@ -0,0 +1,27 @@
+Icache_Access
+3	3	+1	# nb_front_end       
+1	1	+1	# nb_context     [0]    [nb_front_end]
+3	3	+1	# nb_context     [1]    [nb_front_end]
+2	2	+1	# nb_context     [2]    [nb_front_end]
+1	1	+1	# nb_icache_port
+30	30	+1	# size_address   
+1	1	+1	# nb_instruction [0][0] [nb_front_end][nb_context]
+2	2	+1	# nb_instruction [1][0] [nb_front_end][nb_context]
+3	3	+1	# nb_instruction [1][1] [nb_front_end][nb_context]
+2	2	+1	# nb_instruction [1][2] [nb_front_end][nb_context]
+4	4	+1	# nb_instruction [2][0] [nb_front_end][nb_context]
+4	4	+1	# nb_instruction [2][1] [nb_front_end][nb_context]
+2	2	+1	# size_packet_id [0][0] [nb_front_end][nb_context]
+3	3	+1	# size_packet_id [1][0] [nb_front_end][nb_context]
+3	3	+1	# size_packet_id [1][1] [nb_front_end][nb_context]
+0	0	+1	# size_packet_id [1][2] [nb_front_end][nb_context]
+1	1	+1	# size_packet_id [2][0] [nb_front_end][nb_context]
+1	1	+1	# size_packet_id [2][1] [nb_front_end][nb_context]
+0	0	+1	# table_routing  [0][0] [nb_front_end][nb_context]
+0	0	+1	# table_routing  [1][0] [nb_front_end][nb_context]
+0	0	+1	# table_routing  [1][1] [nb_front_end][nb_context]
+0	0	+1	# table_routing  [1][2] [nb_front_end][nb_context]
+0	0	+1	# table_routing  [2][0] [nb_front_end][nb_context]
+0	0	+1	# table_routing  [2][1] [nb_front_end][nb_context]
+0	1	+1	# priority           
+0	1	+1	# load_balancing     
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/SelfTest/configuration/config_multi_front_end2.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/SelfTest/configuration/config_multi_front_end2.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/SelfTest/configuration/config_multi_front_end2.gen	(revision 145)
@@ -0,0 +1,27 @@
+Icache_Access
+3	3	+1	# nb_front_end       
+1	1	+1	# nb_context     [0]    [nb_front_end]
+3	3	+1	# nb_context     [1]    [nb_front_end]
+2	2	+1	# nb_context     [2]    [nb_front_end]
+2	2	+1	# nb_icache_port
+30	30	+1	# size_address   
+1	1	+1	# nb_instruction [0][0] [nb_front_end][nb_context]
+2	2	+1	# nb_instruction [1][0] [nb_front_end][nb_context]
+3	3	+1	# nb_instruction [1][1] [nb_front_end][nb_context]
+2	2	+1	# nb_instruction [1][2] [nb_front_end][nb_context]
+4	4	+1	# nb_instruction [2][0] [nb_front_end][nb_context]
+4	4	+1	# nb_instruction [2][1] [nb_front_end][nb_context]
+2	2	+1	# size_packet_id [0][0] [nb_front_end][nb_context]
+3	3	+1	# size_packet_id [1][0] [nb_front_end][nb_context]
+3	3	+1	# size_packet_id [1][1] [nb_front_end][nb_context]
+0	0	+1	# size_packet_id [1][2] [nb_front_end][nb_context]
+1	1	+1	# size_packet_id [2][0] [nb_front_end][nb_context]
+1	1	+1	# size_packet_id [2][1] [nb_front_end][nb_context]
+0	0	+1	# table_routing  [0][0] [nb_front_end][nb_context]
+1	1	+1	# table_routing  [1][0] [nb_front_end][nb_context]
+0	0	+1	# table_routing  [1][1] [nb_front_end][nb_context]
+1	1	+1	# table_routing  [1][2] [nb_front_end][nb_context]
+1	1	+1	# table_routing  [2][0] [nb_front_end][nb_context]
+0	0	+1	# table_routing  [2][1] [nb_front_end][nb_context]
+0	1	+1	# priority           
+0	1	+1	# load_balancing     
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/SelfTest/configuration/config_multi_front_end3.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/SelfTest/configuration/config_multi_front_end3.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/SelfTest/configuration/config_multi_front_end3.gen	(revision 145)
@@ -0,0 +1,27 @@
+Icache_Access
+3	3	+1	# nb_front_end       
+1	1	+1	# nb_context     [0]    [nb_front_end]
+3	3	+1	# nb_context     [1]    [nb_front_end]
+2	2	+1	# nb_context     [2]    [nb_front_end]
+3	3	+1	# nb_icache_port
+30	30	+1	# size_address   
+1	1	+1	# nb_instruction [0][0] [nb_front_end][nb_context]
+2	2	+1	# nb_instruction [1][0] [nb_front_end][nb_context]
+3	3	+1	# nb_instruction [1][1] [nb_front_end][nb_context]
+2	2	+1	# nb_instruction [1][2] [nb_front_end][nb_context]
+4	4	+1	# nb_instruction [2][0] [nb_front_end][nb_context]
+4	4	+1	# nb_instruction [2][1] [nb_front_end][nb_context]
+2	2	+1	# size_packet_id [0][0] [nb_front_end][nb_context]
+3	3	+1	# size_packet_id [1][0] [nb_front_end][nb_context]
+3	3	+1	# size_packet_id [1][1] [nb_front_end][nb_context]
+0	0	+1	# size_packet_id [1][2] [nb_front_end][nb_context]
+1	1	+1	# size_packet_id [2][0] [nb_front_end][nb_context]
+1	1	+1	# size_packet_id [2][1] [nb_front_end][nb_context]
+2	2	+1	# table_routing  [0][0] [nb_front_end][nb_context]
+0	0	+1	# table_routing  [1][0] [nb_front_end][nb_context]
+1	1	+1	# table_routing  [1][1] [nb_front_end][nb_context]
+0	0	+1	# table_routing  [1][2] [nb_front_end][nb_context]
+1	1	+1	# table_routing  [2][0] [nb_front_end][nb_context]
+2	2	+1	# table_routing  [2][1] [nb_front_end][nb_context]
+0	1	+1	# priority           
+0	1	+1	# load_balancing     
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/SelfTest/configuration/config_multi_front_end4.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/SelfTest/configuration/config_multi_front_end4.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/SelfTest/configuration/config_multi_front_end4.gen	(revision 145)
@@ -0,0 +1,27 @@
+Icache_Access
+3	3	+1	# nb_front_end       
+1	1	+1	# nb_context     [0]    [nb_front_end]
+3	3	+1	# nb_context     [1]    [nb_front_end]
+2	2	+1	# nb_context     [2]    [nb_front_end]
+4	4	+1	# nb_icache_port
+30	30	+1	# size_address   
+1	1	+1	# nb_instruction [0][0] [nb_front_end][nb_context]
+2	2	+1	# nb_instruction [1][0] [nb_front_end][nb_context]
+3	3	+1	# nb_instruction [1][1] [nb_front_end][nb_context]
+2	2	+1	# nb_instruction [1][2] [nb_front_end][nb_context]
+4	4	+1	# nb_instruction [2][0] [nb_front_end][nb_context]
+4	4	+1	# nb_instruction [2][1] [nb_front_end][nb_context]
+2	2	+1	# size_packet_id [0][0] [nb_front_end][nb_context]
+3	3	+1	# size_packet_id [1][0] [nb_front_end][nb_context]
+3	3	+1	# size_packet_id [1][1] [nb_front_end][nb_context]
+0	0	+1	# size_packet_id [1][2] [nb_front_end][nb_context]
+1	1	+1	# size_packet_id [2][0] [nb_front_end][nb_context]
+1	1	+1	# size_packet_id [2][1] [nb_front_end][nb_context]
+0	0	+1	# table_routing  [0][0] [nb_front_end][nb_context]
+1	1	+1	# table_routing  [1][0] [nb_front_end][nb_context]
+2	2	+1	# table_routing  [1][1] [nb_front_end][nb_context]
+3	3	+1	# table_routing  [1][2] [nb_front_end][nb_context]
+1	1	+1	# table_routing  [2][0] [nb_front_end][nb_context]
+0	0	+1	# table_routing  [2][1] [nb_front_end][nb_context]
+0	1	+1	# priority           
+0	1	+1	# load_balancing     
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Execute_loop_Glue/SelfTest/configuration/configuration.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Execute_loop_Glue/SelfTest/configuration/configuration.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Execute_loop_Glue/SelfTest/configuration/configuration.gen	(revision 145)
@@ -0,0 +1,8 @@
+Execute_loop_Glue
+1	4	*4	# nb_gpr_write         
+1	4	*4	# nb_spr_write         
+0	2	+1	# size_ooo_engine_id   
+6	6	*2	# size_general_register
+4	4	*2	# size_special_register
+32	32	*2	# size_general_data    
+2	2	*2	# size_special_data    
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/SelfTest/configuration/configuration.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/SelfTest/configuration/configuration.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/SelfTest/configuration/configuration.gen	(revision 145)
@@ -0,0 +1,11 @@
+Functionnal_unit
+1	1	+1	# nb_context         
+1	1	+1	# nb_front_end       
+2	2	+1	# nb_ooo_engine      
+256 	256 	+1	# nb_packet          
+32	32	+1	# size_general_data  
+32	32	+1	# nb_general_register
+2 	2 	+1	# size_special_data  
+16	16	+1	# nb_special_register
+4 	4 	*2	# size_store_queue
+1 	4 	*4	# size_load_queue
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/configuration/configuration.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/configuration/configuration.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/configuration/configuration.gen	(revision 145)
@@ -0,0 +1,17 @@
+Load_store_unit
+3	3	*2	# store_size_queue       
+2	2	*2	# load_size_queue        
+2	2	*2	# size_speculative_access_queue
+2	2	+1	# nb_port_check
+2	2	+1	# speculative_load       {none,access,commit,bypass}
+0	0	+1	# bypass_memory
+1	1	+1	# nb_cache_port 
+1	1	+1	# nb_inst_memory
+2	2	*2	# nb_context             1	1	*2	
+2	2	*2	# nb_front_end		 1	1	*2	
+2	2	*2	# nb_ooo_engine          1	1	*2	
+64	64	*2	# nb_packet              
+32	32	*2	# size_general_data      
+2	2	*2	# size_special_data      
+32	32	*2	# nb_general_register    
+16	16	*2	# nb_special_register    
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/include/Load_store_unit.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/include/Load_store_unit.h	(revision 144)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/include/Load_store_unit.h	(revision 145)
@@ -237,9 +237,9 @@
   public  : void     genMealy_retire           (void);
    
-  public  : void     function_speculative_load_access_transition      (void);
-  public  : void     function_speculative_load_access_genMoore        (void);
-  public  : void     function_speculative_load_access_genMealy_dcache (void);
-  public  : void     function_speculative_load_access_genMealy_insert (void);
-  public  : void     function_speculative_load_access_genMealy_retire (void);
+  public  : void     function_speculative_load_commit_transition      (void);
+  public  : void     function_speculative_load_commit_genMoore        (void);
+  public  : void     function_speculative_load_commit_genMealy_dcache (void);
+  public  : void     function_speculative_load_commit_genMealy_insert (void);
+  public  : void     function_speculative_load_commit_genMealy_retire (void);
 #endif					       
 
